Support for macOS 10.15 inventory

FlexNet Manager Suite version 2019 R2
With this release, hardware and software inventory from Apple inventory devices running macOS 10.15 (Catalina) is supported. This requires the current 14.0.0 version (or later) of FlexNet inventory agent, and depending on your infrastructure, may also require upgrades of your inventory beacons to FlexNet Beacon version 14.0.0 or later:
  • If you want to adopt a Mac with macOS 10.15 (or later) installed, FlexNet Beacon version 14.0.0 or later is required. However, if you use third-party technology to deploy FlexNet inventory agent to your macOS 10.15 inventory devices (instead of using FlexNet Manager Suite device adoption), it is not necessary to upgrade the FlexNet Beacon simply to support the inventory upload.
  • If you want your inventory beacon to run an inventory scan remotely on a Mac with macOS 10.15 installed (the process known as zero footprint inventory collection), FlexNet Beacon version 14.0.x or later is required. If you are not using remote inventory gathering for macOS 10.15 inventory devices (for example, you are using FlexNet inventory agent installed locally instead), upgrading your inventory beacon is not necessary.
For more information about changes in FlexNet Beacon, see the Beacon Change Log, available through https://helpnet.flexerasoftware.com/fnms/EN/BeaconChg/index.html.
Important: If previous releases of FlexNet inventory agent are already installed on Apple inventory devices currently running earlier versions of macOS, these installations need to be upgraded to FlexNet inventory agent version 14.0.0 or later before the OS is upgraded to macOS 10.15. If the OS is upgraded without first upgrading the installed FlexNet inventory agents, the existing FlexNet inventory agent will no longer be able to run on the upgraded inventory device. As a result, in this scenario it will be impossible for device policy to upgrade the FlexNet inventory agent. Recovering from such a case will require manually upgrading the FlexNet inventory agent to version 14.0.0 or later.

FlexNet Manager Suite (Cloud)

Current